diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index fd0370a1b43..7a748392cbc 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -16236,6 +16236,24 @@ strict $.track.segments[*].location
 </programlisting>
    </para>
 
+   <para>
+    Note that <literal>.**</literal> accessor could lead to surprising results
+    when using the lax mode. For instance, the following query selects every
+    <literal>HR</literal> value twice.
+<programlisting>
+lax $.**.HR
+</programlisting>
+    This happens because <literal>.**</literal> accessor selects both
+    <literal>segments</literal> array and each of its elements, while
+    <literal>.HR</literal> accessor automatically unwraps arrays when using
+    the lax mode. To evade surprising results, we recommend the usage of
+    <literal>.**</literal> accessor in the strict mode. The following query
+    selects each <literal>HR</literal> value once.
+<programlisting>
+strict $.**.HR
+</programlisting>
+   </para>
+
    </sect3>
 
    <sect3 id="functions-sqljson-path-operators">
